| Home | Libraries | People | FAQ | More

## Function template any_of_equal

boost::algorithm::any_of_equal

## Synopsis

    // In header: <boost/algorithm/cxx11/any_of.hpp>

    template<typename InputIterator, typename V>
      bool any_of_equal(InputIterator first, InputIterator last, const V & val);

## Description

| Note
returns false on an empty range

Parameters:

`first` | The start of the input sequence
`last` | One past the end of the input sequence
`val` | A value to compare against

Returns: | true if any of the elements in [first, last) are equal to 'val'